Skip to content
Start here

Site WAN Details

magic_transit.sites.wans.get(strwan_id, WANGetParams**kwargs) -> WAN
GET/accounts/{account_id}/magic/sites/{site_id}/wans/{wan_id}

Get a specific Site WAN.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
site_id: str

Identifier

maxLength32
wan_id: str

Identifier

maxLength32
ReturnsExpand Collapse
class WAN:
id: Optional[str]

Identifier

maxLength32
health_check_rate: Optional[Literal["low", "mid", "high"]]

Magic WAN health check rate for tunnels created on this link. The default value is mid.

One of the following:
"low"
"mid"
"high"
name: Optional[str]
physport: Optional[int]
priority: Optional[int]

Priority of WAN for traffic loadbalancing.

site_id: Optional[str]

Identifier

maxLength32
static_addressing: Optional[WANStaticAddressing]

(optional) if omitted, use DHCP. Submit secondary_address when site is in high availability mode.

address: str

A valid CIDR notation representing an IP range.

gateway_address: str

A valid IPv4 address.

secondary_address: Optional[str]

A valid CIDR notation representing an IP range.

vlan_tag: Optional[int]

VLAN ID. Use zero for untagged.

Site WAN Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
wan = client.magic_transit.sites.wans.get(
    wan_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    site_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(wan.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "health_check_rate": "low",
    "name": "name",
    "physport": 1,
    "priority": 0,
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "static_addressing": {
      "address": "192.0.2.0/24",
      "gateway_address": "192.0.2.1",
      "secondary_address": "192.0.2.0/24"
    },
    "vlan_tag": 42
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "health_check_rate": "low",
    "name": "name",
    "physport": 1,
    "priority": 0,
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "static_addressing": {
      "address": "192.0.2.0/24",
      "gateway_address": "192.0.2.1",
      "secondary_address": "192.0.2.0/24"
    },
    "vlan_tag": 42
  },
  "success": true
}